## groovy.swing.factory
Class EtchedBorderFactory

Field Summary
`int` | `type`

Constructor Summary
`EtchedBorderFactory(int newType)`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Constructor Detail

### EtchedBorderFactory

    public EtchedBorderFactory(int newType)

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)